server:
  port: 8073
spring:
  application:
    name: hsayi_docsecurity_api
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://192.168.1.202:3306/safe?useUnicode=true&serverTimezone=GMT%2B8&characterEncoding=utf-8&allowMultiQueries=true&useSSL=false
    username: root
    password: safe2345@
    driver-class-name: com.mysql.cj.jdbc.Driver
  redis:
    timeout: 6000ms
#    password:
#    cluster:
#      max-redirects: 3
#      nodes:
#        - 172.16.0.245:7000
#        - 172.16.0.245:7001
#        - 172.16.0.245:7002
#        - 172.16.0.246:7003
#        - 172.16.0.246:7004
#        - 172.16.0.246:7005
    host: 192.168.1.202
    password:
    port: 6379
    lettuce:
      pool:
        max-active: 1000
        max-idle: 10
        min-idle: 5
        max-wait: -1


logging:
  level:
    com.gys.business.mapper: error

#本地文件存储路径
pict:
  basePath: /data/opt/project/ads/file
  serverBasePath: file
  uploadPath: upload
  sourceBasePath: source
  serverPath: http://safe-api.hsay.com:19050/


pro:
  # Swagger相关配置
  swagger:
    basePackage: com.ads.business.controller
    title: ads VUE API
    description: ads VUE API Document.
    version: 2.0
    author: ads
    url: https://Sciencep.cc
    email:
    license: Apache 2.0
    licenseUrl: https://www.apache.org/licenses/LICENSE-2.0.html

#文件分类链接地址
docType:
  linkUrl: http://safe-dd.hsay.com:19050/h5/#/index?typeId=

#文件链接地址
doc:
  linkUrl: http://safe-dd.hsay.com:19050/h5/#/index?docId=

#dingtalk.app_key: dingquvsdbjao4sft5nb
#dingtalk.app_secret: 3m39De4GC6WmgbIAhMGicE_q0Kapjx-SXIrFosIfZr31Re6cXlz0_9m0XVhsolam
#dingtalk.agent_id: 1356136158
#dingtalk.corp_id: dingff609c7977dc6754

dingtalk.app_key: dingtjalf7p1nxrbubf9
dingtalk.app_secret: -2GyiLYOUmkC0PKi4-ICb8sFmncZvaxpj6rq97Z49_HGx7j-82y7gcwb_gZlrtgx
dingtalk.agent_id: 1415817113
dingtalk.corp_id: dingff609c7977dc6754